List wallets with balances
Retrieves a list of all wallets that match the specified parameters. Wallet balances update automatically after each transfer.
Note: On Aptos, this endpoint only returns balances for tokens stored in primary storage. Tokens held in AIP-21 secondary storage are excluded from balance queries and deposit notifications to prevent incorrect or misleading results from secondary storage-based state changes.
Authorizations
Headers
Developer-provided identifier for this request, used for tracing requests in Wallets API logs and the Developer Console, and when communicating with Circle Support. Must be a UUID to appear in logs. Non-UUID values are accepted by the API but are ignored by logging and tracing systems.
A unique identifier, which can be helpful for identifying a request when communicating with Circle support.
"2adba88e-9d63-44bc-b975-9b6ae3440dde"
Query Parameters
Filter by blockchain. The blockchain network that the resource is to be created on or is currently on.
ETH, ETH-SEPOLIA, AVAX, AVAX-FUJI, MATIC, MATIC-AMOY, SOL, SOL-DEVNET, ARB, ARB-SEPOLIA, NEAR, NEAR-TESTNET, EVM, EVM-TESTNET, UNI, UNI-SEPOLIA, BASE, BASE-SEPOLIA, OP, OP-SEPOLIA, APTOS, APTOS-TESTNET, ARC, ARC-TESTNET, MONAD, MONAD-TESTNET "MATIC-AMOY"
Filter by up to 10 wallet addresses as a comma-separated list. This filter combines with the others, such as blockchain and walletSetId. Duplicates are ignored and addresses that don't match a wallet are omitted from the response. Results are sorted by createDate, not by the order of the list.
Can't be used together with address. The request is rejected with 400 if both are set, if the list is empty, or if it has more than 10 entries. Duplicates count towards the limit.
Filters results by the SCA version.
SCAs have different versions, each with unique functionality. SCACore displays the version of the SCA being created. For a list of supported versions, refer to the developer documentation.
circle_4337_v1, circle_6900_singleowner_v1, circle_6900_singleowner_v2, circle_6900_singleowner_v3 "circle_6900_singleowner_v2"
A collection ID value used for pagination.
It marks the exclusive end of a page. When provided, the collection resource will return the next n items before the id, with n being specified by pageSize.
The items will be returned in the natural order of the collection.
The resource will return the first page if neither pageAfter nor pageBefore are specified.
SHOULD NOT be used in conjunction with pageAfter.
A collection ID value used for pagination.
It marks the exclusive begin of a page. When provided, the collection resource will return the next n items after the id, with n being specified by pageSize.
The items will be returned in the natural order of the collection.
The resource will return the first page if neither pageAfter nor pageBefore are specified.
SHOULD NOT be used in conjunction with pageBefore.
Limits the number of items to be returned.
Some collections have a strict upper bound that will disregard this value. In case the specified value is higher than the allowed limit, the collection limit will be used.
If avoided, the collection will determine the page size itself.
1 <= x <= 50